Bug 1032277 - hwcert-client should use date as a release number
hwcert-client should use date as a release number
Status: VERIFIED
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks: 1016295
  Show dependency treegraph
 
Reported: 2013-11-19 16:36 EST by Greg Nichols
Modified: 2016-07-05 14:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-20131119
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1032698 1069755 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Makefile patch to use date as the release number (375 bytes, patch)
2013-11-19 16:37 EST, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2013-11-19 16:36:40 EST
Description of problem:

hwcert-client uses arbitrary increasing release numbers.  Instead, it should use a date-stamp of the form:

  YYYYMMDD.n

where n is the build number if more than one build is done on the same date.

Version-Release number of selected component (if applicable):

hwcert-client 1.7
Comment 1 Greg Nichols 2013-11-19 16:37:50 EST
Created attachment 826317 [details]
Makefile patch to use date as the release number
Comment 2 Brian Brock 2013-12-02 14:34:52 EST
verified in hwcert-client-1.7.0-20131120.el7.noarch

Note You need to log in before you can comment on or make changes to this bug.